@echo off
color 1E
if "%1"=="/b-w" color
if "%1"=="/?" (
echo setup b-w  --  Black and White colors in setup
pause
exit
)
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo              ===================
echo              !                 !
echo              ! Checking Setup  !
echo              !    files...     !
echo              !                 !
echo              ===================
echo.
timeout /t 3 /nobreak >nul
if not exist betawarn.txt goto setup

:betawarn
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
type betawarn.txt
echo.
echo Press any key to continue Setup...
pause >nul

:setup
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo     Enter name of directory where you
echo        want to install Int OS
echo     Press Enter if you want to use
echo            C:\intos30
echo.
set /p dir="Name of directory: (C:\intos30)"
if "%dir%"=="" set dir=c:\intos30
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo.
echo     --------------------
echo               0%
echo Creating dirs...
echo -----------------------------------------
md %dir% >nul
md %dir%\intos >nul
md %dir%\intos\prog >nul
md %dir%\intos\prog\control >nul
md %dir%\intos\drivers >nul
md %dir%\intos\prog\games >nul
md %dir%\intos\mydocs
md %dir%\intos\trash
md %dir%\boot
md C:\temp >nul
timeout /t 2 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     л
echo     --------------------
echo               5%
echo Checking files...
echo -----------------------------------------
if not exist kernel.ex_ goto seterr
if not exist user.ex_ goto seterr
if not exist vgavideo.sy_ goto seterr
if not exist setup.ex_ goto seterr
if not exist video.in_ goto seterr
timeout /t 1 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     лл
echo     --------------------
echo               10%
echo Copying: kernel.exe
echo -----------------------------------------
copy kernel.ex_ %dir%\intos\kernel.exe >nul
timeout /t 2 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     ллллл
echo     --------------------
echo               28%
echo Copying: user.exe
echo -----------------------------------------
copy user.ex_ %dir%\intos\user.exe >nul
timeout /t 3 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     ллллллллл
echo     --------------------
echo               46%
echo Copying: vgavideo.sys
echo -----------------------------------------
copy vgavideo.sy_ %dir%\vgavideo.sys >nul
timeout /t 1 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     лллллллллллл
echo     --------------------
echo               64%
echo Copying: video.inf
echo -----------------------------------------
copy video.in_ %dir%\intos\drivers\video.inf >nul
timeout /t 2 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     лллллллллллллллл
echo     --------------------
echo               82%
echo Copying: setup.exe
echo -----------------------------------------
copy setup.ex_ %dir%\intos\prog\control\setup.exe >nul
timeout /t 5 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is copying some nessesary files to your
echo            hard disk. After that Setup
echo               will continue in UI
echo                       mode.
echo.
echo -----------------------------------------
echo  Setup is copying files...
echo     --------------------
echo     лллллллллллллллллллл
echo     --------------------
echo               100%
echo Setting up...
echo -----------------------------------------
(
echo [Setup]
echo setdir=%dir%
echo destdir=%~dp0
)>C:\temp\intsetup.ini
timeout /t 5 /nobreak >nul
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Setup is starting UI mode...
echo     This can take few seconds...
echo.
timeout /t 7 /nobreak >nul
start %dir%\intos\prog\control\setup.exe
exit

:seterr
cls
echo ==========================
echo Int OS 3.0 Beta Setup
echo ==========================
echo.
echo.
echo     Some setup files is missing or
echo               corrupted
echo        Setup cannot continue
echo.       Press any key to exit
pause >nul
exit